Subject: Re: bug#59397: [PATCH] feature/tree-sitter: Utilize new font-lock faces for more tree-sitter backed modes

From: Yuan Fu <[email-masked]>
Date: Mon, 21 Nov 2022 13:49:33 -0800

> On Nov 19, 2022, at 7:42 PM, Randy Taylor <[email-masked]> wrote:
> 
> X-Debbugs-CC: [email-masked], [email-masked]
> 
> This patch adds support for using the new font-lock faces for more tree-sitter backed modes.
> 
> js.el:
> - For the number feature, is there a better way to match for exactly NaN or Infinity?
> - It might be a good idea to make a parent/base mode (ECMA?) like done in c-ts-mode for JS and TS, since there's a bit of overlap. I'm not volunteering though, since I don't use JS or TS ;).
> <0001-Utilize-new-font-lock-faces-for-more-tree-sitter-bac.patch>

Thanks! I was busy with other things, but I’ll try to merge this soon!

Yuan